package cn.minbb.tester.utils;

import android.graphics.Color;

import java.util.Random;

public class ColorUtil {

    public static String getRandomColor(int alpha) {
        String red, green, blue;
        // 生成随机对象
        Random random = new Random();
        // 生成红色颜色代码
        red = Integer.toHexString(random.nextInt(256)).toUpperCase();
        // 生成绿色颜色代码
        green = Integer.toHexString(random.nextInt(256)).toUpperCase();
        // 生成蓝色颜色代码
        blue = Integer.toHexString(random.nextInt(256)).toUpperCase();

        // 判断红色代码的位数
        red = red.length() == 1 ? "0" + red : red;
        // 判断绿色代码的位数
        green = green.length() == 1 ? "0" + green : green;
        // 判断蓝色代码的位数
        blue = blue.length() == 1 ? "0" + blue : blue;
        // 生成十六进制颜色值
        return "#" + Integer.toHexString(alpha) + red + green + blue;
    }

    public static int getRandomColor() {
        int red, green, blue;
        // 生成随机对象
        Random random = new Random();
        // 生成随机红色颜色代码
        red = random.nextInt(255);
        // 生成随机绿色颜色代码
        green = random.nextInt(255);
        // 生成随机蓝色颜色代码
        blue = random.nextInt(255);

        return Color.rgb(red, green, blue);
    }
}
